Skip to navigation

Create Product Variant Option Value

Creates a Variant Option Value.

Required Fields

  • label
  • sort_order

Read-Only Fields

  • id
  • is_default

Limits

  • 250 option values per option limit.

is_default is derived from the parent option configuration and cannot be set on individual values. To change which value is the default, use Update Product Variant Option and include the full option_values array with the desired is_default flags.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

option_idintegerRequired

The ID of the Option.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

The model for a POST to create option values on a product.
labelstringRequired

The text display identifying the value on the storefront. Required in a /POST.

sort_orderintegerRequired-2147483648-2147483647

The order in which the value will be displayed on the product page. Required in a /POST.

value_dataobjectOptional

Extra data describing the value, based on the type of option or modifier with which the value is associated. The swatch type option can accept an array of colors, with up to three hexidecimal color keys; or an image_url, which is a full image URL path including protocol. The product list type option requires a product_id. The checkbox type option requires a boolean flag, called checked_value, to determine which value is considered to be the checked state.

Response

OK
dataobjectOptional
Common Option Value properties.
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error